githubEdit

External actions endpoints

List external actions

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Returns a list with all external actions.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional

all entities after given Id.

sizeintegerOptional

number of entities to show

Default: 25
groupsstring[]Optional

Filter by the given group or groups

processRefstringOptional

Filter by the given processRef

Responses
chevron-right
200

Returning the list of external actions available.

application/json

ExternalAction

get
/api/externalactions

Get external action

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Returns an external action with the given id if found.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
externalActionIdstringRequired

Id of the external action you want to get

Responses
chevron-right
200

External action was found & you are allowed to get it. The result is in the body.

application/json

ExternalAction

get
/api/externalactions/{externalActionId}

Create external action

post

Creates a new external action for a process.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ExternalActionForCreation

actionone ofRequired
or
or
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

groupsstring[]Required

User-defined text strings for grouping external actions

processRefstringRequired

Id of the global process related to this entity.

Responses
post
/api/externalactions

Replace an external action

put

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Replaces the external action with the provided in the body.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
externalActionIdstringRequired

ID of the external action that you want update

Body

ExternalActionForReplacement

actionone ofRequired
or
or
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

groupsstring[]Required

User-defined text strings for grouping external actions

versioninteger · int64RequiredExample: 42
Responses
chevron-right
200

External action was found & you are allowed to update it.

application/json

ExternalAction

put
/api/externalactions/{externalActionId}

Delete external action

delete

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
externalActionIdstringRequired

ID of the external action that you want delete

Responses
chevron-right
200

External action was found & you were allowed to delete it.

No content

delete
/api/externalactions/{externalActionId}

No content

List external action logs

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Returns the logs related with the given external action.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
externalActionIdstringRequired

Id of the external action you want to get the logs from

Query parameters
startAfterIdstringOptional

all entities after given Id

sizeintegerOptional

number of entities to show

Default: 25
Responses
chevron-right
200

Logs were found & you are allowed to get it. The result is in the body.

application/json

ExternalActionLogs

totalintegerRequired

Total number of found entities for this query

Example: 42
get
/api/externalactions/{externalActionId}/logs

Create external action logs

post

Creates a new external action log.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
externalActionIdstringRequired

ID of the external action you want to create the log for

Body

ExternalActionLogForCreation

actionPayloadone ofRequired
or
or
requiresAnonymizationbooleanRequired
Responses
post
/api/externalactions/{externalActionId}/logs

Last updated